#
# spec file for package git-fixes
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           git-fixes
Version:        0.1+20190114
Release:        1.1
Summary:        Easily find upstream fixes for downstream projects
License:        GPL-2.0
Group:          Development/Tools/Other
Url:            https://github.com/joergroedel/git-fixes
Source0:        git-fixes-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  libgit2-devel >= 0.22
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel

%description
Git-fixes is a tool to find upstream fixes for downstream projects. It scans
the upstream git history and looks for Fixes-tags that reference commits that
got backported into the downstream project.

%prep
%setup -q

%build
EXTRA_CXXFLAGS=$RPM_OPT_FLAGS
export EXTRA_CXXFLAGS
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/usr/bin/
make install INSTALL_DIR=%{buildroot}/usr/bin/

%files
%defattr(-, root, root)
%{_bindir}/git-fixes
%{_bindir}/git-suse
%{_bindir}/git-who

%changelog
* Wed Jan 16 2019 ptesarik@suse.com
- Always use the system libgit2.
* Tue Jan 15 2019 opensuse-packaging@opensuse.org
- Update to version 0.1+20190114:
  * git-suse: Remove blob_id_cache
  * git-suse: Scan the git tree only once
  * git-fixes: Also list reverts of commits already on the list
  * git-fixes: Fix remove_reverts()
  * git-fixes: Fix indentation
  * git-fixes: Fix check in match_commit()
  * Makefile: allow for EXTRA_CXXFLAGS
  * git-fixes: Fix segfault in remove_reverts()
  * git-fixes: Fix bug in --ignore-file option parsing
  * git-fixes: Add --domains parameter
* Mon Jun  4 2018 jslaby@suse.com
- refactor to use _service
